org.springframework.cloud.dataflow.server.controller.support

## Enum TaskExecutionControllerDeleteAction

- java.lang.Object
- - java.lang.Enum<TaskExecutionControllerDeleteAction>
  - - org.springframework.cloud.dataflow.server.controller.support.TaskExecutionControllerDeleteAction

- All Implemented Interfaces:
    Serializable, Comparable<TaskExecutionControllerDeleteAction>

      public enum TaskExecutionControllerDeleteAction
      extends Enum<TaskExecutionControllerDeleteAction>

  This enum is used by the `TaskExecutionController.cleanup(java.util.Set, TaskExecutionControllerDeleteAction[])`.
  Author:
    Gunnar Hillert

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLEANUP` Cleanup resources associated with one or more task executions.
    `REMOVE_DATA` Removed task execution and job execution data from the persistence store.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TaskExecutionControllerDeleteAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TaskExecutionControllerDeleteAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLEANUP

          public static final TaskExecutionControllerDeleteAction CLEANUP

      Cleanup resources associated with one or more task executions.

    - #### REMOVE_DATA

          public static final TaskExecutionControllerDeleteAction REMOVE_DATA

      Removed task execution and job execution data from the persistence store.

  - ### Method Detail

    - #### values

          public static TaskExecutionControllerDeleteAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskExecutionControllerDeleteAction c : TaskExecutionControllerDeleteAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskExecutionControllerDeleteAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.